import { BaseQueryFn } from "@reduxjs/toolkit/query/react";
import { DocumentNode } from "graphql";
import { GraphQLClient, ClientError } from "graphql-request";
declare type P = Parameters<GraphQLClient["request"]>;
export declare type Document = P[0];
export declare type Variables = P[1];
export declare type ReturnRequestHeaders = P[2];
export declare type RequestHeaders = (setHeaders: (headers: RequestInit["headers"] | undefined) => GraphQLClient, setHeader: (key: string, value: string) => GraphQLClient) => ReturnRequestHeaders;
export declare const graphqlFetch: (options: {
    url: string;
    prepareHeaders?: RequestHeaders;
} | {
    client: GraphQLClient;
    prepareHeaders: undefined;
}) => BaseQueryFn<{
    document: string | DocumentNode;
    variables?: any;
}, unknown, Pick<ClientError, "name" | "message" | "stack">, Partial<Pick<ClientError, "request" | "response">>>;
export {};
